api_platform:
  defaults:
    pagination_enabled: true
    pagination_client_enabled: true
    pagination_client_items_per_page: true
    pagination_items_per_page: 15

  eager_loading:
    force_eager: false
  #    pagination_partial: true
  collection:
    pagination:
      partial_parameter_name: 'partial' # Default value
      items_per_page_parameter_name: itemsPerPage # Default value
  mapping:
    paths: ['%kernel.project_dir%/src/Entity']
  formats:
    jsonld:   [ 'application/ld+json' ]
    jsonhal:  [ 'application/hal+json' ]
    jsonapi:  [ 'application/vnd.api+json' ]
    json:     [ 'application/json' ]
    xml:      [ 'application/xml', 'text/xml' ]
    yaml:     [ 'application/x-yaml' ]
    csv:      [ 'text/csv' ]
    html:     [ 'text/html' ]
  patch_formats:
    json: ['application/merge-patch+json']
  swagger:
    api_keys:
      apiKey:
        name: Authorization
        type: header
    versions: [3]
